notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Ukraine
Some details on the 2023-01-16 website outage.
We just rebooted with several updates: * new HMTLify code * no port maintainer is now highly visible (e.g. https://freshports.org/security/sssd/) * fixed search logic error when using plain/ text details at https://github.com/FreshPorts/freshports/releases/tag/2.2.34
Port details
py-volatility Advanced memory forensics framework
2.6.1.34_1 security Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout Version of this port present on the latest quarterly branch.
Deprecated DEPRECATED: Uses deprecated version of python
Expired This port expired on: 2020-08-15
Maintainer: antoine@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2012-11-29 20:51:57
Last Update: 2020-08-15 10:50:59
SVN Revision: 544927
Also Listed In: python
License: GPLv2
Description:
Homepage    cgit ¦ GitHub ¦ GitHub ¦ GitLab ¦ SVNWeb
pkg-plist: as obtained via: make generate-plist
There is no configure plist information for this port.
Dependency lines:
  • ${PYTHON_PKGNAMEPREFIX}volatility>0:security/py-volatility@${PY_FLAVOR}
No installation instructions:
This port has been deleted.
PKGNAME: py27-volatility
Package flavors (<flavor>: <package>)
  • py27: py27-volatility
distinfo:

Packages (timestamps in pop-ups are UTC):
py27-volatility
ABIlatestquarterly
FreeBSD:11:aarch642.6_22.6.1.34_1
FreeBSD:11:amd64pkg-falloutpkg-fallout
FreeBSD:11:armv62.52.6.1.34_1
FreeBSD:11:i386pkg-falloutpkg-fallout
FreeBSD:11:mipspkg-falloutpkg-fallout
FreeBSD:11:mips64pkg-falloutpkg-fallout
FreeBSD:12:aarch642.6_2pkg-fallout
FreeBSD:12:amd64pkg-falloutpkg-fallout
FreeBSD:12:armv62.6_2pkg-fallout
FreeBSD:12:armv72.6_2pkg-fallout
FreeBSD:12:i386pkg-falloutpkg-fallout
FreeBSD:12:mipspkg-falloutpkg-fallout
FreeBSD:12:mips64pkg-falloutpkg-fallout
FreeBSD:12:powerpc64pkg-falloutpkg-fallout
FreeBSD:13:aarch64pkg-falloutpkg-fallout
FreeBSD:13:amd64pkg-falloutpkg-fallout
FreeBSD:13:armv6pkg-falloutpkg-fallout
FreeBSD:13:armv7pkg-falloutpkg-fallout
FreeBSD:13:i386pkg-falloutpkg-fallout
FreeBSD:13:mipspkg-falloutpkg-fallout
FreeBSD:13:mips64pkg-falloutpkg-fallout
FreeBSD:13:powerpc64pkg-falloutpkg-fallout
FreeBSD:13:riscv64pkg-falloutpkg-fallout
FreeBSD:14:aarch64pkg-falloutpkg-fallout
FreeBSD:14:amd64pkg-falloutpkg-fallout
FreeBSD:14:armv6pkg-falloutpkg-fallout
FreeBSD:14:armv7pkg-falloutpkg-fallout
FreeBSD:14:i386pkg-falloutpkg-fallout
FreeBSD:14:mipspkg-falloutpkg-fallout
FreeBSD:14:mips64pkg-falloutpkg-fallout
FreeBSD:14:powerpc64pkg-falloutpkg-fallout
FreeBSD:14:riscv64pkg-falloutpkg-fallout
 
Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. py27-setuptools>0 : devel/py-setuptools@py27
  2. python2.7 : lang/python27
Runtime dependencies:
  1. py27-sqlite3>=0 : databases/py-sqlite3@py27
  2. py27-distorm>=0 : devel/py-distorm@py27
  3. py27-pillow6>=6.0.0 : graphics/py-pillow6@py27
  4. py27-pycrypto>=0 : security/py-pycrypto@py27
  5. py27-yara>=0 : security/py-yara@py27
  6. py27-openpyxl>=0 : textproc/py-openpyxl@py27
  7. py27-setuptools>0 : devel/py-setuptools@py27
  8. python2.7 : lang/python27
There are no ports dependent upon this port

Configuration Options:
Options name:
USES:
FreshPorts was unable to extract/find any pkg message
Master Sites:
Expand this list (1 items)
Collapse this list.
  1. https://codeload.github.com/volatilityfoundation/volatility/tar.gz/2.6.1-34-g753bfa87?dummy=/
Collapse this list.
Port Moves
  • port deleted on 2020-08-15
    REASON: Has expired: Uses deprecated version of python

Number of commits found: 25

Commit History - (may be incomplete: for full details, see links to repositories near top of page)
CommitCreditsLog message
2.6.1.34_1
15 Aug 2020 10:50:59
Revision:544927Original commit files touched by this commit
rene search for other commits by this committer
Remove deprecated ports:

2020-08-15 archivers/py-backports.lzma: Uses deprecated version of python
2020-08-15 archivers/py-bup: Uses deprecated version of python
2020-08-15 archivers/py-librtfcomp: Uses deprecated version of python
2020-08-15 audio/blop-lv2: Uses deprecated version of python
2020-08-15 audio/bs2b-lv2: Uses deprecated version of python
2020-08-15 audio/py-gmusicproxy: Uses deprecated version of python
2020-08-15 audio/py-karaoke: Uses deprecated version of python
2020-08-15 audio/py-openal: Uses deprecated version of python
2020-08-15 audio/py-py-jack: Uses deprecated version of python
2020-08-15 audio/py-xmms2: Uses deprecated version of python
2020-08-15 audio/triceratops-lv2: Uses deprecated version of python
2020-08-15 biology/py-biom-format: Uses deprecated version of python
2020-08-15 comms/py-bulksms: Uses deprecated version of python
(Only the first 15 lines of the commit message are shown above View all of this commit message)
2.6.1.34_1
24 Mar 2020 19:54:57
Revision:529063Original commit files touched by this commit
antoine search for other commits by this committer
Convert the tree to use PY_PILLOW

With hat:	portmgr
Originally submitted by:	kai
2.6.1.34_1
24 Feb 2020 11:36:16
Revision:526962Original commit files touched by this commit
kai search for other commits by this committer
graphics/py-pillow: Update to 7.0.0

* Repo-Copy the Pillow 6.2.2 release to graphics/py-pillow6 to retain
  backwards compatibility for Python 2 consumers as the Pillow 7.0.0 release
  dropped the support for Python 2.

* Apply conditional statements to use either Pillow 7.x or Pillow 6.x for
  consumers that can be built for Python 2 or newer.

* Exceptions are ports that can be built only for either Python 2 or
  Python 3.  For the first case, consumers are just assigned to the
  repo-copied graphics/py-pillow6.

* Also remove Pillow from BUILD_DEPENDS of math/py-PyWavelets as it is not
  listed in setup.py as a build dependency [1] and relax the version
(Only the first 15 lines of the commit message are shown above View all of this commit message)
2.6.1.34
23 Feb 2020 15:25:53
Revision:526925Original commit files touched by this commit
antoine search for other commits by this committer
Deprecate a few ports

With hat:	portmgr
2.6.1.34
25 Feb 2019 17:02:26
Revision:493884Original commit files touched by this commit
antoine search for other commits by this committer
Update to 2.6.1-34
2.6_2
20 Jun 2018 17:05:44
Revision:472884Original commit files touched by this commit
mat search for other commits by this committer
Use PY_FLAVOR for dependencies.

FLAVOR is the current port's flavor, it should not be used outside of
this scope.

Sponsored by:	Absolight
2.6_2
21 Jan 2018 12:40:37
Revision:459602Original commit files touched by this commit
antoine search for other commits by this committer
Fix a deprecation warning when using psxview with xlsx output
2.6_1
30 Nov 2017 15:50:34
Revision:455210Original commit files touched by this commit Sanity Test Failure
mat search for other commits by this committer
Convert Python ports to FLAVORS.

  Ports using USE_PYTHON=distutils are now flavored.  They will
  automatically get flavors (py27, py34, py35, py36) depending on what
  versions they support.

  There is also a USE_PYTHON=flavors for ports that do not use distutils
  but need FLAVORS to be set.  A USE_PYTHON=noflavors can be set if
  using distutils but flavors are not wanted.

  A new USE_PYTHON=optsuffix that will add PYTHON_PKGNAMESUFFIX has been
  added to cope with Python ports that did not have the Python
  PKGNAMEPREFIX but are flavored.

  USES=python now also exports a PY_FLAVOR variable that contains the
(Only the first 15 lines of the commit message are shown above View all of this commit message)
2.6_1
21 Apr 2017 14:50:05
Revision:439082Original commit files touched by this commit
miwi search for other commits by this committer
- Fix shebangs
2.6
05 Jan 2017 19:18:14
Revision:430648Original commit files touched by this commit
antoine search for other commits by this committer
Update to 2.6
2.5_1
20 Nov 2016 14:03:12
Revision:426592Original commit files touched by this commit
antoine search for other commits by this committer
Adjust to run with openpyxl 2.4.0
2.5
01 Apr 2016 14:25:18
Revision:412349Original commit files touched by this commit
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, categories r, s, t, and u.

With hat:	portmgr
Sponsored by:	Absolight
2.5
29 Oct 2015 12:14:38
Revision:400454Original commit files touched by this commit
antoine search for other commits by this committer
Update to 2.5

Announce:	http://www.volatilityfoundation.org/#!25/c1f29
2.4_3
27 Mar 2015 12:26:23
Revision:382401Original commit files touched by this commit
antoine search for other commits by this committer
Adjust to run better with new versions of openpyxl
2.4_2
19 Oct 2014 22:40:29
Revision:371216Original commit files touched by this commit
antoine search for other commits by this committer
Adjust to work with new openpyxl
2.4_1
03 Oct 2014 20:49:50
Revision:369937Original commit files touched by this commit
antoine search for other commits by this committer
Switch from py-imaging to py-pillow
2.4
29 Aug 2014 17:28:42
Revision:366537Original commit files touched by this commit
antoine search for other commits by this committer
Convert a few ports to USES=python
2.4
08 Aug 2014 21:02:56
Revision:364384Original commit files touched by this commit
antoine search for other commits by this committer
Update to 2.4

Release notes: http://www.volatilityfoundation.org/#!24/c12wa
2.3.1
13 Jan 2014 21:00:04
Revision:339634Original commit files touched by this commit
rene search for other commits by this committer
Python cleanup:
- USE_PYTHON* = 2.X -> USE_PYTHON* = 2
- USE_PYTHON* = 2.X+ -> USE_PYTHON* = yes
Reviewed by:	python (mva, rm)
Approved by:	portmgr-lurkers (mat)
2.3.1
15 Dec 2013 22:22:21
Revision:336591Original commit files touched by this commit
antoine search for other commits by this committer
- switch from easy_install to install
- stage support
- use PYDISTUTILS_AUTOPLIST
2.3.1
02 Nov 2013 09:19:48
Revision:332461Original commit files touched by this commit
antoine search for other commits by this committer
Update to 2.3.1 (bug fixes)
2.3
25 Oct 2013 21:04:57
Revision:331638Original commit files touched by this commit
antoine search for other commits by this committer
Update to 2.3
Release notes: https://code.google.com/p/volatility/wiki/Release23
2.2
20 Sep 2013 22:55:26
Revision:327769Original commit files touched by this commit
bapt search for other commits by this committer
Add NO_STAGE all over the place in preparation for the staging support (cat:
security)
2.2
09 Aug 2013 15:51:28
Revision:324447Original commit files touched by this commit
antoine search for other commits by this committer
- Remove article from COMMENT
- Do not use PYTHON_SITELIBDIR in DEPENDS
- Add missing OPTIONS_DEFINE
- Remove LICENSE from PORTDOCS
- Remove unneeded line from plist
2.2
29 Nov 2012 20:51:45
Revision:307979Original commit files touched by this commit
sbz search for other commits by this committer
The Volatility Framework is a completely open collection of tools, implemented
in Python under the GNU General Public License, for the extraction of digital
artifacts from volatile memory (RAM) samples.

WWW: http://code.google.com/p/volatility

PR:		ports/172910
Submitted by:	antoine@FreeBSD.org
Feature safe:	yes

Number of commits found: 25